Skip to main content
GET
/
business
/
{business_id}
/
lodging
Google Lodging attributes for your business
curl --request GET \
  --url https://api.partoo.co/v2/business/{business_id}/lodging \
  --header 'x-APIKey: <api-key>'
{
  "lodging": [
    {
      "gmb_id": "lodging.services.frontDesk",
      "type": "BOOL",
      "value": true,
      "exception": null
    },
    {
      "gmb_id": "lodging.property.roomCount",
      "type": "INTEGER",
      "value": 42,
      "exception": null
    },
    {
      "gmb_id": "lodging.property.checkinTime",
      "type": "TIME",
      "value": null,
      "exception": "LODGING_DEPENDENT_ON_SEASON"
    },
    {
      "gmb_id": "lodging.services.languagesSpoken",
      "type": "REPEATABLE_ENUM",
      "value": [
        "ENGLISH",
        "FRENCH"
      ],
      "exception": null
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.partoo.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Path Parameters

business_id
string
required

Business id.

It may be replaced by c-{code} where code is the store code, which should be unique per organization. This can be used only for ORG_ADMIN, GROUP_MANAGER and BUSINESS_MANAGER users.

Response

OK

lodging
(Boolean · object | Integer · object | Time · object | Enum · object | Repeatable Enum · object)[] | null
required

Google Lodging attribute values for the business. null means the business Google location cannot operate Lodging data. An empty array means the location can operate Lodging data but no Lodging attribute value is set yet.

Example:
[
{
"gmb_id": "lodging.services.frontDesk",
"type": "BOOL",
"value": true,
"exception": null
},
{
"gmb_id": "lodging.property.roomCount",
"type": "INTEGER",
"value": 42,
"exception": null
},
{
"gmb_id": "lodging.property.checkinTime",
"type": "TIME",
"value": null,
"exception": "LODGING_DEPENDENT_ON_SEASON"
},
{
"gmb_id": "lodging.services.languagesSpoken",
"type": "REPEATABLE_ENUM",
"value": ["ENGLISH", "FRENCH"],
"exception": null
}
]